=== debian/changelog ===
sff (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1108135)

 -- Shi Yanling <sylphenix@outlook.com>  Tue, 24 Jun 2025 10:30:00 +0800
