=== debian/control ===
Source: sff
Section: utils
Priority: optional
Maintainer: Shi Yanling <sylphenix@outlook.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.7.2
Homepage: https://codeberg.org/sylphenix/sff
Vcs-Browser: https://salsa.debian.org/sylphenix/sff
Vcs-Git: https://salsa.debian.org/sylphenix/sff.git

Package: sff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xdg-utils, fzf, 7zip, chafa, poppler-utils, ffmpegthumbnailer
Description: Simple, fast, friendly terminal file manager
 sff is a simple, fast, and feature-rich terminal file manager inspired
 by nnn and guided by the suckless philosophy. It aims to provide a
 reliable, efficient, and user-friendly file management experience with
 high extensibility.
 .
 Features:
  - Extensible with shell scripts
  - Customizable detail columns
  - Type-to-navigate
  - Advanced search via 'find'
  - Fast file search via 'fzf'
  - Convenient temporary sudo mode
  - Undo/Redo for the last file operation
  - Batch file and directory creation
  - Batch rename
  - Multi-tab support, cross-directory selection
  - Extract and create archives
  - Fast startup and low memory footprint
