=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -std=c11
export DEB_LDFLAGS_MAINT_APPEND := -lncursesw
export DEB_CPPFLAGS_MAINT_APPEND := -DEXTFNPREFIX=\\\"/usr/libexec/sff\\\"

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(MAKE) CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sff PREFIX=/usr

override_dh_auto_clean:
	$(MAKE) clean

override_dh_install:
	dh_install
	mkdir -p debian/sff/usr/share/doc/sff
	install -m 644 CHANGELOG.md debian/sff/usr/share/doc/sff/changelog
	install -m 644 README.md debian/sff/usr/share/doc/sff/
	gzip -9n debian/sff/usr/share/doc/sff/changelog debian/sff/usr/share/doc/sff/README.md

override_dh_compress:
	dh_compress -X.1.gz
