=== debian/watch ===
version=4
https://codeberg.org/sylphenix/sff/releases .*/v?(\d\S+)\.tar\.gz
