=== debian/changelog ===
sff (1.2-1) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #1119128)
  * Properly handle paths containing invalid encoding characters
  * Changed scripts install path from libexec/sff/ to lib/sff/
  * Clean up preview FIFO file on exit
  * Quick-find input remains after a failed navigation
  * Symlink target paths no longer folded in status bar
  * Now shows a warning when chdir fails during tab switching

 -- Shi Yanling <sylphenix@outlook.com>  Wed, 17 Dec 2025 11:02:00 +0800
