=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS) -std=c11" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -lncursesw"

override_dh_auto_install:
	$(MAKE) install DESTDIR="$(CURDIR)/debian/sff" PREFIX=/usr
